# $Revision: 1.39 $, $Date: 2002/08/29 22:55:36 $
Summary:	KDE Integrated Development Environment
Summary(pl):	Zintegrowane rodowisko programisty dla KDE
Summary(pt_BR):	Ambiente Integrado de Desenvolvimento para o KDE
Summary(zh_CN):	KDE C/C++ɿ
Name:		kdevelop
%define		_kde_ver	3.0.3
Version:	2.1.3
Release:	2
Epoch:		7
License:	GPL
Vendor:		Sandy Meier <smeier@rz.uni-potsdam.de>
Group:		X11/Development/Tools
Source0:	ftp://ftp.kde.org/pub/kde/stable/%{_kde_ver}/src/%{name}-%{version}_for_KDE_3.0.tar.bz2
Source1:	kde-i18n-%{name}-%{_kde_ver}.tar.bz2
URL:		http://www.kdevelop.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	kdelibs-devel = %{_kde_ver}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	qt-devel >= 3.0.5
BuildRequires:	zlib-devel
Requires:	kdesdk-extractrc
Requires:	kdoc
Requires:	kdesdk-extractrc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define         _htmldir        /usr/share/doc/kde/HTML

%description
The KDevelop Integrated Development Environment provides many features
that developers need as well as providing a unified interface to
programs like gdb, the C/C++ compiler, and make.

KDevelop manages or provides: all development tools needed for C++
programming like Compiler, Linker, automake and autoconf; KAppWizard,
which generates complete, ready-to-go sample applications;
Classgenerator, for creating new classes and integrating them into the
current project; File management for sources, headers, documentation
etc. to be included in the project; The creation of User-Handbooks
written with SGML and the automatic generation of HTML-output with the
KDE look and feel; Automatic HTML-based API-documentation for your
project's classes with cross-references to the used libraries;
Internationalization support for your application, allowing
translators to easily add their target language to a project;

KDevelop also includes WYSIWYG (What you see is what you get)-creation
of user interfaces with a built-in dialog editor; Debugging your
application by integrating KDbg; Editing of project-specific pixmaps
with KIconEdit; The inclusion of any other program you need for
development by adding it to the "Tools"-menu according to your
individual needs.

%description -l pl
KDevelop to zintegrowane rodowisko programistyczne dla KDE, dajce
wiele moliwoci przydatnych programistom oraz zunifikowany interfejs
do programw typu gdb, kompilator C/C++ oraz make.

KDevelop obsuguje lub zawiera: wszystkie narzdzia programistyczne
potrzebne do programowania w C++ jak kompilator, linker, automake,
autoconf; KAppWizard, generujcy kompletne, gotowe do uruchomienia,
proste aplikacje; Classgenerator do tworzenia nowych klas i wczania
ich do projektu; zarzdzanie plikami rdowymi, nagwkowymi,
dokumentacj itp.; tworzenie podrcznikw uytkownika pisanych w SGML
i automatyczne generowanie wyjcia HTML pasujcego do KDE;
automatyczne tworzenie dokumentacji API w HTML do klas projektu z
odniesieniami do uywanych bibliotek; wsparcie dla internacjonalizacji,
 pozwalajce tumaczom atwo dodawa pliki z tumaczeniami do projektu.

KDevelop ma take tworzenie interfejsw uytkownika przy uyciu
edytora dialogw WYSIWYG; odpluskwianie aplikacji poprzez integracj z
KDbg; edycj ikon przy pomocy KIconEdit; docznie innych programw
potrzebnych do programowania przez dodanie ich do menu Tools wedug
wasnych potrzeb.

#%description -l pt_BR
#KDevelop  um IDE (ou Ambiente Integrado de Desenvolvimento) para o
#KDE.

%prep
%setup -q -n %{name}-%{version}_for_KDE_3.0

%build
kde_htmldir="%{_htmldir}"; export kde_htmldir
kde_icondir="%{_pixmapsdir}"; export kde_icondir

%configure \
	--enable-final
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT install

mv $RPM_BUILD_ROOT%{_bindir}/extractrc `pwd`

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig

%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc extractrc
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/*
%{_applnkdir}/Development/*
%{_datadir}/apps/kconf_update/*
%{_datadir}/apps/kdevelop
%{_datadir}/mimelnk/application/*
%{_pixmapsdir}/*/*/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: kdevelop.spec,v $
Revision 1.39  2002/08/29 22:55:36  blues
- cut changelog

Revision 1.38  2002/08/29 22:53:37  blues
- merge with DEVEL

Revision 1.29.2.6  2002/08/22 18:32:22  adgor
- Requires: kdesdk-extractrc
- Moved extractrc to %doc
- Release 2

Revision 1.29.2.5  2002/08/19 22:54:20  blues
- forgot to add i18n files...

Revision 1.29.2.4  2002/08/19 22:52:22  blues
- release 1 - finished

Revision 1.29.2.3  2002/08/19 18:27:48  blues
- 2.1.3 - started update

Revision 1.29.2.2  2002/08/15 13:34:17  blues
- fixed typo

Revision 1.29.2.1  2002/07/24 16:06:34  blues
- release 1
- better BR
